PHP version selector without CloudLinux?

WorkinOnIt

Well-Known Member
Aug 3, 2016
227
30
78
UK
cPanel Access Level
Root Administrator
Hi

As mentioned in the subject - is there a way to be able to select PHP version per account without Cloud Linux?

I just have 3 accounts on a server and I want to test one of them with php7 before i upgrade the server.

Thanks
 

clacki

Registered
Jun 11, 2017
2
0
1
US
cPanel Access Level
Website Owner
Hello,

Yes, MultiPHP functionality is offered in EasyApache 4:

Introduction to EasyApache 4 - EasyApache 4 - cPanel Documentation
MultiPHP Manager for WHM - Documentation - cPanel Documentation

Let us know if you have any questions.

Thanks!
Hello and thanks for replay .
I install 4 php version in my cpanel hosting by EasyApache 4(EA4) .
But I don't now how I can add "select PHP version" feature to my clients host panels without CloudLinux.
please help me that add this feature for my clients panel Like this :

- Removed -
 
Last edited by a moderator:

rpvw

Well-Known Member
Jul 18, 2013
1,101
465
113
UK
cPanel Access Level
Root Administrator
You are marked as being a Website Owner but you will need to be a root administrator with access to WHM to do this o_O

In WHM navigate to Home » Packages » Feature Manager

Edit each feature list that you want to have the PHP selector enabled for; by ticking the :

MultiPHP Manager and the MultiPHP INI Editor (if required)